Name:           manaworld
Version:        0.0.22
Release:        1%{?dist}
Summary:        2D MMORPG world

Group:          Amusements/Games
License:        GPL
URL:            http://themanaworld.org
Source0:        http://dl.sourceforge.net/themanaworld/tmw-%{version}.tar.gz
Patch0:         tmw-0.0.22-nowerror.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  guichan-devel desktop-file-utils physfs-devel
BuildRequires:  curl-devel libxml2-devel libpng-devel
BuildRequires:  SDL_image-devel SDL_mixer-devel SDL_net-devel

%description
The Mana World (TMW) is a serious effort to create an innovative free and open
source MMORPG. TMW uses 2D graphics and aims to create a large and diverse
interactive world.

%prep
%setup -q -n tmw-%{version}
%patch0


%build
%configure --with-opengl
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
        --vendor fedora \
        --dir $RPM_BUILD_ROOT/%{_datadir}/applications/ \
        --delete-original \
        $RPM_BUILD_ROOT%{_datadir}/applications/tmw.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/tmw.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
rmdir $RPM_BUILD_ROOT%{_datadir}/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%{_bindir}/tmw
%{_datadir}/tmw
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/32x32/apps/*.png
%doc AUTHORS COPYING NEWS README docs/*.txt



%changelog
* Wed Jan 17 2007 Wart <wart@kobold.org> 0.0.22-1
- Update to 0.0.22

* Wed Dec 13 2006 Wart <wart@kobold.org> 0.0.21.1-2
- Add opengl support

* Wed Nov 22 2006 Wart <wart@kobold.org> 0.0.21.1-1
- Update to 0.0.21.1

* Sat Oct 14 2006 Wart <wart@kobold.org> 0.0.21
- Update to 0.0.21

* Fri Sep 1 2006 Wart <wart@kobold.org> 0.0.20-2
- Rebuild for Fedora Extras

* Thu Jul 27 2006 Wart <wart@kobold.org> 0.0.20-1
- Update to 0.0.20

* Fri Jun 09 2006 Wart <wart@kobold.org> 0.0.19-1
- Initial release for Fedora
